Bug 109401 - [DXVK] Project Cars rendering problems
Summary: [DXVK] Project Cars rendering problems
Status: REOPENED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Vulkan/radeon (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-20 15:44 UTC by Gregor Münch
Modified: 2019-05-19 15:16 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Broken Trees (1.84 MB, image/png)
2019-01-20 15:44 UTC, Gregor Münch
Details
broken reflections (1.78 MB, image/png)
2019-01-20 15:45 UTC, Gregor Münch
Details
hack for the trees issue (582 bytes, patch)
2019-02-11 11:51 UTC, Samuel Pitoiset
Details | Splinter Review
MSAA+FXAA (394.42 KB, image/jpeg)
2019-02-11 18:50 UTC, Gregor Münch
Details
hack reflection issue (424 bytes, patch)
2019-03-08 11:11 UTC, Samuel Pitoiset
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Gregor Münch 2019-01-20 15:44:38 UTC
Created attachment 143171 [details]
Broken Trees

There are two problems:

1. Trees are rendered incorrectly on Azure Coast

2. Reflections on some cars look strange. Like there are some random colored pixels.

Extended renderer info (GLX_MESA_query_renderer):
    Vendor: X.Org (0x1002)
    Device: AMD Radeon HD 7900 Series (TAHITI, DRM 3.27.0, 4.20.0-2-amd-staging-drm-next-git, LLVM 8.0.0) (0x6798)
    Version: 19.0.0
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: no
    Preferred profile: core (0x1)
    Max core profile version: 4.5
    Max compat profile version: 4.5
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.2
OpenGL renderer string: AMD Radeon HD 7900 Series (TAHITI, DRM 3.27.0, 4.20.0-2-amd-staging-drm-next-git, LLVM 8.0.0)
OpenGL core profile version string: 4.5 (Core Profile) Mesa 19.0.0-devel (git-acdad24585)
Comment 1 Gregor Münch 2019-01-20 15:45:23 UTC
Created attachment 143172 [details]
broken reflections
Comment 2 Samuel Pitoiset 2019-02-11 11:51:43 UTC
Created attachment 143358 [details] [review]
hack for the trees issue

Does the attached diff also fix the trees issue on your side?
For some reasons, this optimization doesn't work correctly with that game.
Comment 3 Gregor Münch 2019-02-11 18:50:48 UTC
Created attachment 143361 [details]
MSAA+FXAA

Your patch works also for me.

BTW those bad reflections do only occur with MSAA. By also enabling FXAA makes it even more visible.
Comment 4 Samuel Pitoiset 2019-02-13 22:00:21 UTC
The trees issue should be fixed with https://cgit.freedesktop.org/mesa/mesa/commit/?id=334da034d8d91ca5a0a1bff8deaefd8ca762c42e
Comment 5 Samuel Pitoiset 2019-03-08 10:54:47 UTC
Does RADV_DEBUG=zerovram help?
Comment 6 Samuel Pitoiset 2019-03-08 11:11:20 UTC
Created attachment 143587 [details] [review]
hack reflection issue

Can you try this hack too?
Comment 7 Gregor Münch 2019-05-06 19:59:42 UTC
Sorry for the late response. Without testing your patch, I think the reflection issue went away with a proton update. I suspect going from DXVK 1.01 to 1.03 fixed the issue.

Thx for your support!
Comment 8 Samuel Pitoiset 2019-05-06 20:27:54 UTC
Are you sure? Just tried with 1.0.3 and the issue still happens. Less frequently but still.
Comment 9 Gregor Münch 2019-05-19 15:16:24 UTC
So you are right; this is still happening although much less often. Previously this bad effect was much more noticeable.

Its really hard to reproduce this now.

Also there isnt a change between DXVK versions. I didnt had time to test Mesa for some months and when I got back, there got a lot of things updated.

So I tried your patch and RADV_DEBUG=zerovram and each of those fixed the issue for me.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.